package p05_petle.zadania;

import java.util.Scanner;

public class TabliczkaMnozeniaUser {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.print("Podaj liczbę wierszy: ");
        final int lWierszy = scanner.nextInt();
        System.out.print("Podaj liczbę kolumn: ");
        final int lKolumn = scanner.nextInt();
        
        // Tworzymy "format string" taki jak np "%5d", prz yczym liczbę cyfr ustalamy na podstawie długości stirnga,
        // który powstanie z największej liczby - tej z prawego dolnego rogu.
        // String.valueOf(_cokolwiek_) jest uniwersalnym sposobem zamiany każdej wartości na napis.
        
        final String format = "%" + String.valueOf(lWierszy * lKolumn).length() + "d ";
        
        for(int w = 1; w <= lWierszy; w++) {
            for(int k = 1; k <= lKolumn; k++) {
                System.out.printf(format, w*k);
            }
            System.out.println();
        }
        
    }
}
